
clc

clear all

mu=[0.1 0.3 0.504 0.6];

%%---Transform to dimensionless quantities used in MK84----
hMK = 0.01:0.01:2.5;
colorSig=['r','b','g','m','c'];
colorMarker =['*','o','+','^','s'];
Exi_h_Load = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_Exi_h.mat');
ExpEtaH_Load = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_ExpEtaH.mat');
Exi_h_Load6 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_Exi_h_6.mat');
ExpEtaH_Load6 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_ExpEtaH_6.mat');
Exi_h_Load10 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_Exi_h_10.mat');
ExpEtaH_Load10 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_ExpEtaH_10.mat');
Exi_h_Load602 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_Exi_h_602.mat');
ExpEtaH_Load602 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_ExpEtaH_602.mat');
Exi_h_Load1002 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_Exi_h_1002.mat');
ExpEtaH_Load1002 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Expected_ExpEtaH_1002.mat');


Exi_h = Exi_h_Load.Exi_h;
ExpEtaH = ExpEtaH_Load.ExpEtaH;
Exi_h6 = Exi_h_Load6.Exi_h;
ExpEtaH6 = ExpEtaH_Load6.ExpEtaH;
Exi_h10 = Exi_h_Load10.Exi_h;
ExpEtaH10 = ExpEtaH_Load10.ExpEtaH;
Exi_h602 = Exi_h_Load602.Exi_h;
ExpEtaH602 = ExpEtaH_Load602.ExpEtaH;
Exi_h1002 = Exi_h_Load1002.Exi_h;
ExpEtaH1002 = ExpEtaH_Load1002.ExpEtaH;
Romberg_Exi_h_Load = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Romberg_Exi_h.mat');
Romberg_Exi_hSp_Load = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Romberg_Exi_hSp.mat');
Romberg_Exi_h_Load08 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Romberg_Exi_h_08.mat');
Romberg_Exi_hSp_Load08 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Romberg_Exi_hSp_08.mat');
Romberg_Exi_h = Romberg_Exi_h_Load.Exi_h;
Romberg_Exi_hSp = Romberg_Exi_hSp_Load.Exi_hSp;
Romberg_Exi_h08 = Romberg_Exi_h_Load08.Exi_h;
Romberg_Exi_hSp08 = Romberg_Exi_hSp_Load08.Exi_hSp;
difference = (Romberg_Exi_h08 - Romberg_Exi_hSp08);
% difference = (Exi_h10 - Exi_h6);
% difference = (Exi_h6 - Exi_h602);


hpNum = zeros(length(mu),1);
for mm=1:1:length(mu)


%%%---plot a part of Expected Value---
% [row,col]=find((mod(hMK,0.05)==0 & hMK>=1.6));
 [row,col]=find(mod(hMK,0.05)==0);
%  y=Exi_h(col,mm);
y=difference(col,mm);
x=hMK(1,col);
hpNum(mm,1)=plot(x,y,'-','Color',colorSig(mm),'Marker',colorMarker(mm),'MarkerSize',10,'LineWidth',2);
hold on;
%%%---plot a part of Expected Value---
end



headCell=cell(length(mu),1);
for i=1:1:length(mu)
    headCell{i,1}='$\upsilon=$';
end
charNum=num2str(mu');
strNum=cellstr(charNum);
strLeg=strcat(headCell,strNum);

hleg=legend(hpNum,strLeg,'Location','NorthEast');
set(hleg,'Interpreter','Latex');






%%**** Necessary to alter row vector into column vector due to cellstr
% xStr=cellstr(num2str(Eta(2:end)'));
xCor=[0:0.5:2.5];
set(gca,'XTick',xCor);
xlim=[0 2.5];
set(gca,'XLim',xlim);
set(gca,'FontSize',30);
xlabel('$$\hat{h}_{MK}$$','interpreter','latex','FontSize',30);
ylabel('$ \delta E(\hat{\xi}_{MK} | \hat{h}_{MK})$','interpreter','latex','FontSize',30);
title('$ \delta E(\hat{\xi}_{MK} | \hat{h}_{MK})$ from differenct integration methods','Interpreter',...
    'Latex','FontSize',30);
