
clc

clear all

mu=[0.1 0.3 0.504 6];

%%---Transform to dimensionless quantities used in MK84----
hMK = 0.01:0.01:2.5;
colorSig=['r','b','g','m','c'];
colorMarker =['*','o','+','^','s'];
Variance_h_Load = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Variance_sigma.mat');
% Sigma_EtaH_Load = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Sigma_EtaH.mat');
Variance_h_Load6 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Variance_sigma_6.mat');
Sigma_EtaH_Load6 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Sigma_EtaH_6.mat');
Variance_h_Load10 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Variance_sigma_10.mat');
Sigma_EtaH_Load10 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Sigma_EtaH_10.mat');
Variance_h_Load602 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Variance_sigma_602.mat');
Sigma_EtaH_Load602 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Sigma_EtaH_602.mat');
Variance_sigma_Load1002 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Variance_sigma_1002.mat');
Sigma_EtaH_Load1002 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Sigma_EtaH_1002.mat');
Romberg_sigma_h_Load = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Romberg_sigma.mat');
Romberg_sigma_hSp_Load = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Romberg_sigmaSp.mat');
Romberg_sigma_hSp_Load08 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Romberg_sigmaSp_08.mat');
Romberg_sigma_h_Load08 = load('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation\Romberg_sigma_08.mat');

% Variance_h = Variance_h_Load.sigma;
% sigmaEtaH = sigmaEtaH_Load.ExpEtaH;
Romberg_sigma_h = Romberg_sigma_h_Load.sigma;
Romberg_sigma_hSp = Romberg_sigma_hSp_Load.sigmaSp;
Romberg_sigma_h08 = Romberg_sigma_h_Load08.sigma;
Romberg_sigma_hSp08 = Romberg_sigma_hSp_Load08.sigmaSp;
Variance_h6 = Variance_h_Load6.sigma;
Sigma_EtaH_6 = Sigma_EtaH_Load6.SigmaEtaH;
Variance_h10 = Variance_h_Load10.sigma;
Sigma_EtaH_10 = Sigma_EtaH_Load10.SigmaEtaH;
Variance_h602 = Variance_h_Load602.sigma;
SigmaEtaH602 = Sigma_EtaH_Load602.SigmaEtaH;
Variance_h1002 = Variance_sigma_Load1002.sigma;
SigmaEtaH1002 = Sigma_EtaH_Load1002.SigmaEtaH;
 difference = (Romberg_sigma_h08 - Romberg_sigma_hSp08);
 difference = (Variance_h10 - Variance_h6);
 difference = (Variance_h6 - Variance_h602);
 difference = (Romberg_sigma_h08 - Romberg_sigma_hSp08);
hpNum = zeros(length(mu),1);
for mm=1:1:length(mu)


%%%---plot a part of Expected Value---
[row,col]=find(mod(hMK,0.05)==0);
%  [row,col]=find((mod(hMK,0.01)==0 & hMK>=2));
%   y=Variance_h602(col,mm);
y = difference(col,mm);
%   y = Romberg_Exi_h08(col,mm);

x=hMK(1,col);
hpNum(mm,1)=plot(x,y,'-','Color',colorSig(mm),'Marker',colorMarker(mm),'MarkerSize',10,'LineWidth',2);
hold on;
%%%---plot a part of Expected Value---
end

%  h=0.1:0.1:9;
%  
%  hpNum(end)=plot(h((16:25)),Sigma_EtaH_6(16:25),'Color','k','Marker','^','LineWidth',2);


headCell=cell(length(mu),1);
for i=1:1:length(mu)
    headCell{i,1}='$\upsilon=$';
end
charNum=num2str(mu');
strNum=cellstr(charNum);
strLeg=strcat(headCell,strNum);
% strLeg = vertcat(strLeg,'MF12');
hleg=legend(hpNum,strLeg,'Location','NorthEast');
set(hleg,'Interpreter','Latex');






%%**** Necessary to alter row vector into column vector due to cellstr
% xStr=cellstr(num2str(Eta(2:end)'));
xCor=[0:0.5:2.5];
set(gca,'XTick',xCor);
xlim=[0 2.5];
set(gca,'XLim',xlim);
set(gca,'FontSize',30);
xlabel('$$\hat{h}_{MK}$$','interpreter','latex','FontSize',30);
ylabel(' $\delta \sigma( \hat{\xi}_{MK} | \hat{h}_{MK}$)','interpreter','latex','FontSize',30);
title('$ \delta \sigma (\hat{\xi}_{MK} | \hat{h}_{MK})$ due to different integration methods','Interpreter',...
    'Latex','FontSize',30);
