clc
clear all

cd('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\MatlabFile_ComputerLab\Figure_Rerun');


Sigmapj12_load2 = load('MySigmaMK12_2.mat','sigmaReal');
Sigmapj12_2 = Sigmapj12_load2.sigmaReal;


tReal12_load2 = load('MytReal12_2.mat','tReal');
tR12_2 = tReal12_load2.tReal;

tMK = 0.01:0.01:1.4;
Sigmapj_load100 = load('Sigmapj_100.mat','Sigmapj');
Sigmapj_100 = Sigmapj_load100.Sigmapj;


hp1 = plot(tR12_2,Sigmapj12_2,'r.','MarkerSize',18','LineWidth',3);
hold on;
hp2 = plot(tMK, Sigmapj_100,'b-','LineWidth',3);
hleg = legend([hp1 hp2], 'IN11 model','MB09 model');
set(hleg,'FontSize',30,'FontName','Times New Roman');

set(gca,'FontSize',30);
xlabel('$\hat{t}_{MK}$','FontSize',30','FontName','Times New Roman','Interpreter','Latex');
ylabel(' $\sigma ( j_{MK} | \hat{t}_{MK})$','FontSize',30,'FontName','Times New Roman','Interpreter','Latex');
