clc
clear all

cd('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\MatlabFile_ComputerLab\Figure_Rerun');
% Epj_load = load('Epj.mat','Epj');
% Epj= Epj_load.Epj;
Sigmapj_load6 = load('Sigmapj_6.mat','Sigmapj');
Sigmapj_6= Sigmapj_load6.Sigmapj;
Sigmapj_load8 = load('Sigmapj_8.mat','Sigmapj');
Sigmapj_8 = Sigmapj_load8.Sigmapj;
Sigmapj_load100 = load('Sigmapj_100.mat','Sigmapj');
Sigmapj_100 = Sigmapj_load100.Sigmapj;

% cdf2_load = load('cdf2.mat','cdf2');
% cdf2= cdf2_load.cdf2;
% cdf2_load8 = load('cdf2_8.mat','cdf2');
% cdf2_8 = cdf2_load8.cdf2;
% cdf2_load10 = load('cdf2_10.mat','cdf2');
% cdf2_10 = cdf2_load10.cdf2;
% 
% difcdf2 = cdf2_10 - cdf2_8;


difSigmapj1 =(Sigmapj_8 - Sigmapj_6);
difSigmapj2 = (Sigmapj_100 - Sigmapj_8);

tMK = 0.01:0.01:1.4;

% hp1 = plot(tMK,difEpj1,'b.','MarkerSize',16);
% hold on;
% hp2 = plot(tMK,difEpj2,'r^','MarkerSize',14);


hp1 = plot(tMK,difSigmapj1,'b-','LineWidth',3);
hold on;
hp2 = plot(tMK,difSigmapj2,'r-.','LineWidth',3);
hleg = legend([hp1 hp2], 'mm8 - mm6','mm10 - mm8');
set(hleg,'FontSize',30,'FontName','Times New Roman');

% figure(2);
% plot(tMK,difcdf2,'b.','MarkerSize',16);


%% IN11 model E(jMK | tMK)
% % EjT_load10_1 = load('EjMK_10_1.mat','EjMK');
% % Ej_T10_1 = EjT_load10_1.EjMK;

%% plot 2 models
% % tMK = 0.01:0.01:1.4;
% % hp1 = plot(tMK,Ej_T10_1,'r-','LineWidth',2);
% % hold on;
% % hp2 = plot(tMK,Epj_8,'b-','LineWidth',2);
% % hleg = legend([hp1 hp2],'IN11 model','MB09 model');
% % set(hleg,'FontSize',30,'FontName','Times New Roman','Location','NorthWest');




set(gca,'FontSize',30);
xlabel('$\hat{t}_{MK}$','FontSize',30','FontName','Times New Roman','Interpreter','Latex');
ylabel(' $\delta \sigma ( j_{MK} | \hat{t}_{MK})$','FontSize',30,'FontName','Times New Roman','Interpreter','Latex');
title(' Disparity from different integration steps (MB09 model) ','FontSize',30,'FontName','Times New Roman');

% 
% set(gca,'FontSize',30);
% xlabel('$\hat{t}_{MK}$','FontSize',30','FontName','Times New Roman','Interpreter','Latex');
% ylabel(' $E ( j_{MK} | \hat{t}_{MK})$','FontSize',30,'FontName','Times New Roman','Interpreter','Latex');


% figure(2);
% plot(tMK,cdf2 - cdf2_8,'Marker','.','MarkerSize',14);
% hold on;
% plot(tMK,Ej_T10_1 - Ej_T10_2,'color','r','Marker','+');
% hold on;
% plot(tMK,Ej_T10 - Ej_T12,'color','m','Marker','o');
% hold on;
% plot(tMK,Ej_T10_2,'color','g','Marker','^');