clc
clear all

% hMK1 = 0.005:0.005:20;
% [Hrow, EpjhMy] = funMy_EpJH(hMK1);
Hrow = 0.02:0.02:3;
[sigmaJ, EpjhMy, pdfH,cdf] = fun_EpJH_MyModel();
hMK2 = 0.01:0.01:3;
EpjhMB = funMB_Epjh(hMK2);

hp1 = plot(Hrow,EpjhMy,'r-','LineWidth',2);
hold on;
hp2 = plot(hMK2,EpjhMB,'b-','LineWidth',2);
legend([ hp1 hp2 ],'IN11 model','MB09 model',...
    'Location','NorthWest');
xlabel(' $\hat{h}_{MK}$','Interpreter','Latex',...
    'FontSize',30);
ylabel('$ E(j_{MK} | \hat{h}_{MK} )$','Interpreter','Latex',...
    'FontSize',30);
set(gca,'FontSize',30);
xlim([0 3]);

