function [tReal,sigmaReal] = funMy_SigmaJT()
mu = 0.504;
jMK=0.00005:0.00005:600;
 tMK=0.01:0.01:1.4;
rH=2.8582;
rT=1.2416;

mm = length(jMK);
nn = length(tMK);


A=rH/(2*sqrt(2));
B=rT/sqrt(1+mu^2);


Lv = 2 / ( 1 + (1+mu^2)^(-0.5));
% for i=1:1:length(tMK)
%     for k=1:1:length(jMK)
%         pdf(i,k) = (A^2*B^2) * funPDFJT(t(i),j(k),mu);
%     end
% end
% % 
% pdfT = zeros(length(tMK),1);
% for i = 1:1:length(tMK)
%     pdfT(i,1) = trapz( jMK,pdf(i,:) );
% end
pdfT = Lv ./( 2* mu * B * tMK.^2) .* ( 1 + ( 1 - 1./(B*tMK) ).^2/mu^2 ) .^(-3/2);
pdf = funPDFJT_MyModel(ones(nn,1)*jMK, tMK'*ones(1,mm));

sigmaMK = zeros(length(tMK),1);
for i = 1:1:length(tMK) 
 EjMK = trapz( jMK, jMK.*pdf(i,:)./pdfT(i));
 EjMK2 = trapz( jMK, (jMK.^2).*jMK.*pdf(i,:)./pdfT(i) );
 sigmaMK(i) = sqrt(EjMK2 - EjMK^2);
 
end
 
[row,~]=find(imag(sigmaMK) == 0);
sigmaReal = sigmaMK(row);
tReal = tMK(row);

save('MySigmaMK6_5.mat','sigmaReal');
save('MytReal6_5.mat','tReal');
    

function [pdf] = funPDFJT_MyModel(j,t)
pdf = A^2 * B^2 /(sqrt(pi) * mu) .* sqrt (A^2 *B * j)./ (B*t).^(7/2) .*...
    exp( - (A^2 *B *j)./(B*t) .* ( 1 + ( 1 - 1./(B*t) ).^2 / mu^2) )* Lv;
end

end
 
 
    


% plot(tMK,EjMK);
% xlim([0 3]);