function [mus,vars]=ExpUsSigs(h)
% Dag Myrhaug(2012) Eq.(4) and Eq.(5), h - nondimensional wave height

if h<=1.7
    mus = 0.096 - 1.021*h + 0.558*(h.^2);
elseif h>1.7
    mus=0.25*atan(4*(h-1.7)) - 0.027;
end

vars=-0.15*atan(1.75*(h-1.2))+0.225;
    

