clc
clear all

cd('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation');
EjT_load = load('EjMK.mat','EjMK');
Ej_T = EjT_load.EjMK;
EjT_load10 = load('EjMK_10.mat','EjMK');
Ej_T10 = EjT_load10.EjMK;
EjT_load10_2 = load('EjMK_10_2.mat','EjMK');
Ej_T10_2 = EjT_load10_2.EjMK;
EjT_load10_1 = load('EjMK_10_1.mat','EjMK');
Ej_T10_1 = EjT_load10_1.EjMK;
EjT_load12 = load('EjMK_12.mat','EjMK');
Ej_T12 = EjT_load12.EjMK;
EjT_load6 = load('EjMK_6_8.mat','EjMK');
Ej_T6 = EjT_load6.EjMK;

hp = zeros(4,1);


tMK = 0.01:0.01:1.4;
hp(1) = plot(tMK,Ej_T10_2 - Ej_T6,'Marker','.','MarkerSize',14,'LineWidth',2);
hold on;
hp(2) = plot(tMK,Ej_T10_1 - Ej_T10_2,'color','r','Marker','+','LineWidth',2);
hold on;
hp(3) = plot(tMK,Ej_T10 - Ej_T12,'color','m','Marker','o','LineWidth',2);
hold on;
hp(4) = plot(tMK,Ej_T10_1 - Ej_T6,'color','g','Marker','^','LineWidth',2);


hleg = legend( hp, '1000_2 - 600_{08}','800_1 - 1000_2','1000_5 - 1200_{05}',...
    '800_1 - 600_{08}');
set(hleg,'FontSize',30,'FontName','Times New Roman');
set(gca,'FontSize',30);
xlabel('$\hat{t}_{MK}$','FontSize',30','FontName','Times New Roman','Interpreter','Latex');
ylabel(' $\delta E ( j_{MK} | \hat{t}_{MK})$','FontSize',30,'FontName','Times New Roman','Interpreter','Latex');
title(' Disparity from different integration steps (IN11 model) ','FontSize',30,'FontName','Times New Roman');