
%%% Convergence Study Is Finished


%%%----Bandwidth Parameter---
upsilon=0.504;
%%%----Bandwidth Parameter---

%%% Here mu means slope;
mu=[0.1 0.2 0.25 0.33 0.5];
%%% Here mu means slope;
hpNum=zeros(length(mu),1);
colorSig=['b','r','g','k','c','m','y'];


%%---Sm is one of the sea state parameters
Sm=0.0001:0.0001:0.1;
%%---Sm is one of the sea state parameters

%%----hMK and xiMk are wave components parameters
NN = 1000;
stepInt = 1;
%%----hMK and xiMk are wave components parameters
cdfXi=zeros(length(Sm),length(mu));
% cdfXiSp=zeros(length(Sm),length(mu));
for mm=1:1:length(mu)
    for kk=1:1:length(Sm)
        xiMKUpper=100*sqrt(0.7*Sm(kk))/mu(mm);
        %%----xiMKLower cannot be zero, since it is a denominator 
        xiMKLower=(3.5 + 1e-6)*sqrt(0.7*Sm(kk))/mu(mm); 
        %%----xiMKLower cannot be zero, since it is a denominator
        while (stepInt>0.001 || stepInt > xiMKUpper/1000)
        NN = NN + 4;
        stepInt=(xiMKUpper-xiMKLower)./NN;
        if NN>1e6
            warning('Warning:PlungingBreaker','NN exceeds 1e6');
            break;
        end
        end
        xiMK=xiMKLower:stepInt:xiMKUpper;
   
        tt = length(xiMK);
        dxiMK=xiMK(2)-xiMK(1);
     
        pdfXi = zeros(1,tt);
        for j = 1:1:tt
            pdfXi(1,j) = integral(@(hMK)pdfxiMKhMK(xiMK(j),hMK,upsilon),0,inf);
        end
        %%%----Integrate over h-------
        
        %%---The elements of final results are less than argument h with xi
        %%%---Integrate over xi-----
        
 
     
%             cdfMH(kk,mm)=cdfMH(kk,mm)+0.5*(cdf1(i,1)+cdf1(i+1,1))*dxiMK;
            cdfXi(kk,mm) = trapz(xiMK,pdfXi);
%             cdfXiSp(kk,mm) = dxiMK/3 * ( pdfXi(1) + pdfXi(end) +...
%                 4*sum(pdfXi(2:2:end-1))+ 2*sum(pdfXi(3:2:end-2)) );
                

        %%%---Integrate over xi-----
        %%---The elements of final results are less than argument xi with 1
        
        
       
    end
    
      
    
end

save('cdfXi_SurgingBreaker.mat','cdfXi');
save('Sm_SurgingBreaker.mat','Sm');

