clc
clear all

cd('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\MatlabFile_ComputerLab\Figure_Rerun');
% Epj_load = load('Epj.mat','Epj');
% Epj= Epj_load.Epj;



Sigmapj_load6 = load('MySigmaMK.mat','sigmaReal');
Sigmapj_6= Sigmapj_load6.sigmaReal;
Sigmapj_load8 = load('MySigmaMK_8.mat','sigmaReal');
Sigmapj_8 = Sigmapj_load8.sigmaReal;

Sigmapj6_load8 = load('MySigmaMK6_8.mat','sigmaReal');
Sigmapj6_8 = Sigmapj6_load8.sigmaReal;

Sigmapj12_load2 = load('MySigmaMK12_2.mat','sigmaReal');
Sigmapj12_2 = Sigmapj12_load2.sigmaReal;
% Sigmapj_load100 = load('Sigmapj_100.mat','Sigmapj');
% Sigmapj_100 = Sigmapj_load100.Sigmapj;

tReal_load = load('MytReal.mat','tReal');
tR= tReal_load.tReal;
tReal_load8 = load('MytReal_8.mat','tReal');
tR_8 = tReal_load8.tReal;
tReal6_load8 = load('MytReal6_8.mat','tReal');
tR6_8 = tReal6_load8.tReal;

tReal12_load2 = load('MytReal12_2.mat','tReal');
tR12_2 = tReal12_load2.tReal;



% hp1 = plot(tR_8,Sigmapj_8,'b.','MarkerSize',12,'LineWidth',2);
% hold on;
% hp2 = plot(tR,Sigmapj_6,'ro','MarkerSize',10,'LineWidth',2);
% hold on;
% hp3 = plot(tR6_8,Sigmapj6_8,'gs','MarkerSize',16,'LineWidth',2);
% 
% hold on;
% hp4 = plot(tR12_2,Sigmapj12_2,'b^','MarkerSize',16,'LineWidth',2);


% hp1 = plot(tR_8,Sigmapj_8,'b-','LineWidth',3);
% hold on;
% hp2 = plot(tR,Sigmapj_6,'r-.','LineWidth',2);
% hold on;
% hp3 = plot(tR6_8,Sigmapj6_8,'g--','LineWidth',3);
% 
% hold on;
% hp4 = plot(tR12_2,Sigmapj12_2,'k-','LineWidth',2);
maxT = max(abs(tR-tR_8));
maxT1 = max(abs(tR6_8-tR_8));
maxSig = max(abs(Sigmapj_8 -Sigmapj_6));

difSigmapj1 = Sigmapj12_2(4:end) - Sigmapj6_8(3:end);
difSigmapj2 = Sigmapj_8(3:end) - Sigmapj_6(3:end);

hp1 = plot(tR(3:end),difSigmapj1,'b-','LineWidth',3);
hold on;
hp2 = plot(tR(3:end),difSigmapj2,'r-.','LineWidth',3);
hleg = legend([hp1 hp2], '1200_2 - 600_{08}','800_1 - 600_1');
set(hleg,'FontSize',30,'FontName','Times New Roman');

% figure(2);
% plot(tMK,difcdf2,'b.','MarkerSize',16);


%% IN11 model E(jMK | tMK)
% % EjT_load10_1 = load('EjMK_10_1.mat','EjMK');
% % Ej_T10_1 = EjT_load10_1.EjMK;

%% plot 2 models
% % tMK = 0.01:0.01:1.4;
% % hp1 = plot(tMK,Ej_T10_1,'r-','LineWidth',2);
% % hold on;
% % hp2 = plot(tMK,Epj_8,'b-','LineWidth',2);
% % hleg = legend([hp1 hp2],'IN11 model','MB09 model');
% % set(hleg,'FontSize',30,'FontName','Times New Roman','Location','NorthWest');




set(gca,'FontSize',30);
xlabel('$\hat{t}_{MK}$','FontSize',30','FontName','Times New Roman','Interpreter','Latex');
ylabel(' $\delta \sigma ( j_{MK} | \hat{t}_{MK})$','FontSize',30,'FontName','Times New Roman','Interpreter','Latex');
title(' Disparity from different integration steps (IN11 model) ','FontSize',30,'FontName','Times New Roman');

% 
% set(gca,'FontSize',30);
% xlabel('$\hat{t}_{MK}$','FontSize',30','FontName','Times New Roman','Interpreter','Latex');
% ylabel(' $E ( j_{MK} | \hat{t}_{MK})$','FontSize',30,'FontName','Times New Roman','Interpreter','Latex');


% figure(2);
% plot(tMK,cdf2 - cdf2_8,'Marker','.','MarkerSize',14);
% hold on;
% plot(tMK,Ej_T10_1 - Ej_T10_2,'color','r','Marker','+');
% hold on;
% plot(tMK,Ej_T10 - Ej_T12,'color','m','Marker','o');
% hold on;
% plot(tMK,Ej_T10_2,'color','g','Marker','^');