clc
clear all

hMK = 0.02:0.02:3;
% [Hrow,EjhMy] = funMy_EpJH(hMK);
[sigmaJ, EpjhMy, pdfH,cdf] = fun_EpJH_MyModel();
Hrow = hMK;
[EjhMB] = funMB_Epjh(Hrow);

pdfMy = zeros(length(Hrow),1);
pdfMB = zeros(length(Hrow),1);
for i = 1:1:length(Hrow)
pdfMy(i,1) = EpjhMy(i)*funCloseRayleigh(Hrow(i),0.504);
pdfMB(i,1) =EjhMB(i) * funWeiPDF(Hrow(i),2.39,1.05);
end
hp1 = plot(Hrow,pdfMy,'r-','LineWidth',2);
hold on;
hp2 = plot(Hrow,pdfMB,'b-','LineWidth',2);
grid on;

xlabel('$\hat{h}_{MK}$','Interpreter','Latex','FontSize',30);
ylabel('$E[j_{MK} |\hat{h}_{MK}] p(\hat{t}_{MK})$','Interpreter','Latex','FontSize',40);
legend([hp1 hp2],'IN11 model','MB09 model');
set(gca,'FontSize',30);

