function [pdf]=funCloseRayleigh(h,nu)
Lv=2/(1+(1+nu^2)^(-1/2));
InitialValue=-inf;
fun=@(beta) exp(-beta.^2);
FRv=zeros(length(h),1);
for i=1:1:length(h)
EndValue=h(i)/nu;
FRv(i)=1/sqrt(pi)*integral(fun,InitialValue,EndValue);
end


pdf=2*Lv*h.*exp(-h.^2).*FRv';