
function [t,Epj,cdf,cdf2] = funEpj_J_T(ymin)
t=(0.01:0.01:1.4)';
Epj = zeros(length(t),1);
cdf = zeros(length(t),1);
cdf2 = zeros(length(t),1);
jIN = zeros(length(t),700000);
for kk =1 :1 :length(t)
 ymax =  t(kk) ^(5)/(0.12^4) - t(kk) ^(5)/(0.12^4)/7000000  ;
 jIN(kk,:) = ymax/700000:ymax/700000:ymax;

 cdf(kk) = integral(@(j)funTestIntegral2(j,t(kk)),ymin,ymax);
 Epj(kk)=trapz(jIN(kk,:),jIN(kk,:).*(funTestIntegral2(jIN(kk,:),t(kk)*ones(1,700000))./(cdf(kk)*ones(1,700000))),2);
 cdf2(kk)=trapz(jIN(kk,:),(funTestIntegral2(jIN(kk,:),t(kk)*ones(1,700000))./(cdf(kk)*ones(1,700000))),2);
end

% [mm,nn]=size(funTestIntegral2(jIN,t*ones(1,400)))
 







    function [pdf] =funTestIntegral2(j,t)
        
        pdf= funJCommaT(j,t).*funPDFTH(j,t);
        
        function [pdfJT] = funJCommaT(j,t)
            
            s = 2.39/2;
            r = 1.05^2 .*t;
           
            
            pdfJT = s./r .*  (j./r).^(s-1) .*...
                exp( - (j./r).^s);
            
            
        end
        
        
        function [pdfTH]= funPDFTH(j,t)
            
            h = sqrt(j./t);
            alpha = 0.12 * sqrt(h);
            beta = 2 * atan( 2*(h-1.2)) + 5;
            [m,n]=size(h);
            rho = zeros(m,n);
            [row, ~]=find(alpha >t);
            if ~isempty(row)
                        error('MyFunctionError:funPDFJ_T','t should be >=alpha');
            end
            
            for i = 1:1:m
                for k = 1:1:n
                    
                    if h(i,k) <= 0.9
                        rho(i,k) = 0.78*h(i,k) + 0.26;
                    else if h(i,k) > 0.9
                            rho(i,k) = 0.962;
                        end
                    end
                    
                    
                    
                end
                
            end
            
            
            
            pdfTH = beta./rho .* ( ( t- alpha)./rho).^(beta-1) .*...
                exp( -( (t-alpha)./rho ) .^beta );
            
            
        end
        
        
    end

end

